| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OrbitFileDiagnostics Class Reference

Class that computes diagnostics of orbit files. More...

Inheritance diagram for EECFI::OrbitFileDiagnostics:

List of all members.

## Public Member Functions
| OrbitFileDiagnostics ()
| Empty constructor.
| ~OrbitFileDiagnostics ()
| Destructor.
void | computeDiagnostics (string fileNam) throw (CfiError)
| This function will allow the user to know which part of a file is usable.
void | computeDiagnostics (OrbitFile file) throw (CfiError)
| This function will allow the user to know which part of a file is usable.
void | computeDiagnostics (OemFile file) throw (CfiError)
| This function will allow the user to know which part of a file is usable.
void | computeDiagnostics (SP3File file) throw (CfiError)
| This function will allow the user to know which part of a file is usable.
## Public Attributes
OrbitFileDiagnosticsSettings | diagnosticsSettings
vector < OrbitFileDiagnosticsReport > | diagnosticsReport

## Detailed Description

Class that computes diagnostics of orbit files.

## Constructor & Destructor Documentation

EECFI::OrbitFileDiagnostics::OrbitFileDiagnostics | ( |  | ) |

Empty constructor.

EECFI::OrbitFileDiagnostics::~OrbitFileDiagnostics | ( |  | ) |

Destructor.

References diagnosticsReport.

## Member Function Documentation

void EECFI::OrbitFileDiagnostics::computeDiagnostics | ( | string | fileNam | ) | throw (CfiError)

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | fileNam | Path of the file where the fiagnostic is going to be computed.

void EECFI::OrbitFileDiagnostics::computeDiagnostics | ( | SP3File | file | ) | throw (CfiError)

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | SP3 file to be analysed.

References EECFI::CfiError::addMsg().

void EECFI::OrbitFileDiagnostics::computeDiagnostics | ( | OemFile | file | ) | throw (CfiError)

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | OEM file to be analysed.

References EECFI::CfiError::addMsg().

void EECFI::OrbitFileDiagnostics::computeDiagnostics | ( | OrbitFile | file | ) | throw (CfiError)

This function will allow the user to know which part of a file is usable.

The following information is returned:

- Size of the interval covered by the file.
- Times of first and last OSV.
- Number and interval of GAPs in the file.
- Number and indexes of the OSVs going back in time (i.e. OSVs whose time is in the past with respect to the previous one).
- Number and indexes of duplicated OSVs (i.e. OSVs whose time is the same as the one of previous OSV).
- Number and indexes of OSVs with inconsistent orbit number (i.e. OSVs whose number is not correlated with its neighbours OSVs).
- Number and indexes of OSVs with non-equally spaced OSVs (i.e. OSVs that are separated from its neighbours a different step from the one expected).

For DORIS files only EF OSVS are checked, because they are the ones used by EOCFI software.

Parameters:

  | file | Orbit file to be analysed.

References EECFI::CfiError::addMsg().

## Member Data Documentation

vector<OrbitFileDiagnosticsReport> EECFI::OrbitFileDiagnostics::diagnosticsReport

Referenced by ~OrbitFileDiagnostics().

OrbitFileDiagnosticsSettings EECFI::OrbitFileDiagnostics::diagnosticsSettings